[arch-commits] Commit in yapf/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Mar 19 06:36:31 UTC 2019


    Date: Tuesday, March 19, 2019 @ 06:36:30
  Author: felixonmars
Revision: 442569

archrelease: copy trunk to community-any

Added:
  yapf/repos/community-any/PKGBUILD
    (from rev 442568, yapf/trunk/PKGBUILD)
Deleted:
  yapf/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   79 +++++++++++++++++++++----------------------------------------
 1 file changed, 28 insertions(+), 51 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-19 06:36:14 UTC (rev 442568)
+++ PKGBUILD	2019-03-19 06:36:30 UTC (rev 442569)
@@ -1,51 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=yapf
-pkgname=("yapf" "python2-yapf")
-pkgver=0.26.0
-pkgrel=1
-pkgdesc="Python style guide checker"
-arch=('any')
-url="https://github.com/google/yapf"
-license=('Apache')
-makedepends=('python-setuptools' 'python2-setuptools')
-checkdepends=('python-nose' 'python2-nose')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/google/yapf/archive/v$pkgver.tar.gz")
-sha512sums=('6a2c7dbf9b2014361ccca20caa6fdf677da1605e820db80d0a7dadb83d87daeb0012ddf48ef3cdc7ad259add1092b6471fab14a6ea55aa86449abefb5d9b8d4a')
-
-prepare() {
-  cp -a yapf-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/yapf-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/yapf-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/yapf-$pkgver
-  nosetests3 || warning "https://github.com/google/yapf/issues/586"
-
-  cd "$srcdir"/yapf-$pkgver-py2
-  nosetests2
-}
-
-package_yapf() {
-  depends=('python-setuptools')
-
-  cd yapf-$pkgver
-  python setup.py install -O1 --root="$pkgdir"
-}
-
-package_python2-yapf() {
-  depends=('python2-setuptools')
-
-  cd yapf-$pkgver-py2
-  python2 setup.py install -O1 --root="$pkgdir"
-  mv "$pkgdir"/usr/bin/yapf{,2}
-}
-
-# vim:set ts=2 sw=2 et:

Copied: yapf/repos/community-any/PKGBUILD (from rev 442568, yapf/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-19 06:36:30 UTC (rev 442569)
@@ -0,0 +1,28 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=yapf
+pkgver=0.26.0
+pkgrel=2
+pkgdesc="Python style guide checker"
+arch=('any')
+url="https://github.com/google/yapf"
+license=('Apache')
+depends=('python-setuptools')
+checkdepends=('python-nose')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/google/yapf/archive/v$pkgver.tar.gz")
+sha512sums=('6a2c7dbf9b2014361ccca20caa6fdf677da1605e820db80d0a7dadb83d87daeb0012ddf48ef3cdc7ad259add1092b6471fab14a6ea55aa86449abefb5d9b8d4a')
+
+build() {
+  cd yapf-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd yapf-$pkgver
+  nosetests3 || warning "https://github.com/google/yapf/issues/586"
+}
+
+package() {
+  cd yapf-$pkgver
+  python setup.py install -O1 --root="$pkgdir"
+}


More information about the arch-commits mailing list